## arc 1.0

=== DESCRIPTION ===
Package: arc
Title: Association Rule Classification
Version: 1.0
Author: Tomas Kliegr [aut, cre]
Maintainer: Tomas Kliegr <kliegr@gmail.com>
Description: Implements the Classification-based on
    Association Rules (CBA) algorithm for association rule classification (ARC). 
    The package also contains several convenience methods that allow to automatically
    set CBA parameters (minimum confidence, minimum support) and it also natively
    handles numeric attributes by integrating a pre-discretization step.
    The rule generation phase is handled by the 'arules' package. 
Depends: R (>= 3.2.3), arules, R.utils, discretization
License: AGPL-3
Encoding: UTF-8
LazyData: true
Imports: Matrix, methods, datasets
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-07 14:12:51 UTC; tomas
Repository: CRAN
Date/Publication: 2016-09-07 18:22:54

## arc 1.1

=== DESCRIPTION ===
Package: arc
Title: Association Rule Classification
Version: 1.1
Author: Tomas Kliegr [aut, cre]
Maintainer: Tomas Kliegr <kliegr@gmail.com>
Description: Implements the Classification-based on
    Association Rules (CBA) algorithm for association rule classification (ARC).
    The package also contains several convenience methods that allow to automatically
    set CBA parameters (minimum confidence, minimum support) and it also natively
    handles numeric attributes by integrating a pre-discretization step.
    The rule generation phase is handled by the 'arules' package.
Depends: R (>= 3.2.3), arules (>= 1.5-0), R.utils, discretization
License: AGPL-3
Encoding: UTF-8
LazyData: true
Imports: Matrix, methods, datasets
RoxygenNote: 6.0.0
NeedsCompilation: no
Packaged: 2017-03-02 09:45:22 UTC; tomas
Repository: CRAN
Date/Publication: 2017-03-02 14:29:51

## arc 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: arc
 Title: Association Rule Classification
-Version: 1.1
+Version: 1.1.2
 Author: Tomas Kliegr [aut, cre]
 Maintainer: Tomas Kliegr <kliegr@gmail.com>
 Description: Implements the Classification-based on
@@ -14,8 +14,8 @@
 Encoding: UTF-8
 LazyData: true
 Imports: Matrix, methods, datasets
-RoxygenNote: 6.0.0
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-03-02 09:45:22 UTC; tomas
+Packaged: 2017-08-24 14:20:53 UTC; root
 Repository: CRAN
-Date/Publication: 2017-03-02 14:29:51
+Date/Publication: 2017-08-24 15:09:04 UTC

## arc 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Package: arc
 Title: Association Rule Classification
-Version: 1.1.2
+Version: 1.1.3
+Date: 2017-11-11
 Author: Tomas Kliegr [aut, cre]
 Maintainer: Tomas Kliegr <kliegr@gmail.com>
 Description: Implements the Classification-based on
@@ -16,6 +17,6 @@
 Imports: Matrix, methods, datasets
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-08-24 14:20:53 UTC; root
+Packaged: 2017-11-15 14:58:11 UTC; root
 Repository: CRAN
-Date/Publication: 2017-08-24 15:09:04 UTC
+Date/Publication: 2017-11-15 16:51:27 UTC

## arc 1.1.4

=== DESCRIPTION ===
Package: arc
Title: Association Rule Classification
Version: 1.1.4
Date: 2018-03-03
Author: Tomas Kliegr [aut, cre]
Maintainer: Tomas Kliegr <kliegr@gmail.com>
Description: Implements the Classification-based on
    Association Rules (CBA) (Bing Liu, Wynne Hsu,	Yiming Ma (1999) <http://dl.acm.org/citation.cfm?id=3000292.3000305>) algorithm for association rule classification (ARC).
    The package also contains several convenience methods that allow to automatically
    set CBA parameters (minimum confidence, minimum support) and it also natively
    handles numeric attributes by integrating a pre-discretization step.
    The rule generation phase is handled by the 'arules' package. 
    To further decrease the size of the CBA models produced by the 'arc' package, postprocessing by the 
    'qCBA' package is suggested.
Copyright: The mdlp2.R script reuses parts of the code from the R
        `discretization` package by HyunJi Kim (GPL license).
Depends: R (>= 3.2.3), arules (>= 1.5-0), R.utils, discretization
License: AGPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/kliegr/arc
BugReports: https://github.com/kliegr/arc/issues
Imports: Matrix, methods, datasets
Suggests: qCBA
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-03-05 13:22:47 UTC; root
Repository: CRAN
Date/Publication: 2018-03-05 19:27:13 UTC

## arc 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: arc
 Title: Association Rule Classification
-Version: 1.1.4
-Date: 2018-03-03
+Version: 1.2
+Date: 2018-04-13
 Author: Tomas Kliegr [aut, cre]
 Maintainer: Tomas Kliegr <kliegr@gmail.com>
 Description: Implements the Classification-based on
@@ -24,6 +24,6 @@
 Suggests: qCBA
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-03-05 13:22:47 UTC; root
+Packaged: 2018-04-18 09:45:05 UTC; root
 Repository: CRAN
-Date/Publication: 2018-03-05 19:27:13 UTC
+Date/Publication: 2018-04-18 13:23:29 UTC

## arc 1.3

=== DESCRIPTION ===
Package: arc
Title: Association Rule Classification
Version: 1.3
Date: 2020-11-06
Author: Tomas Kliegr [aut, cre]
Maintainer: Tomas Kliegr <kliegr@gmail.com>
Description: Implements the Classification-based on
    Association Rules (CBA) (Bing Liu, Wynne Hsu,	Yiming Ma (1999) <https://dl.acm.org/doi/10.5555/3000292.3000305>) algorithm for association rule classification (ARC).
    The package also contains several convenience methods that allow to automatically
    set CBA parameters (minimum confidence, minimum support) and it also natively
    handles numeric attributes by integrating a pre-discretization step.
    The rule generation phase is handled by the 'arules' package. 
    To further decrease the size of the CBA models produced by the 'arc' package, postprocessing by the 
    'qCBA' package is suggested. QCBA package can be obtained from CRAN archive or from <https://github.com/kliegr/QCBA>.
Copyright: The mdlp2.R script reuses parts of the code from the R
        `discretization` package by HyunJi Kim (GPL license).
Depends: R (>= 3.2.3), arules (>= 1.6-6), R.utils, discretization
License: AGPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/kliegr/arc
BugReports: https://github.com/kliegr/arc/issues
Imports: Matrix, methods, datasets
Suggests: qCBA
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-11-06 09:34:43 UTC; tomas
Repository: CRAN
Date/Publication: 2020-11-07 00:20:11 UTC

## arc 1.4

=== DESCRIPTION ===
Package: arc
Title: Association Rule Classification
Version: 1.4
Date: 2023-08-17
Author: Tomas Kliegr [aut, cre]
Maintainer: Tomas Kliegr <kliegr@gmail.com>
Description: Implements the Classification-based on
    Association Rules (CBA) algorithm for association rule classification.
    The package, also described in Hahsler et al. (2019) <doi:10.32614/RJ-2019-048>,
    contains several convenience methods that allow to automatically
    set CBA parameters (minimum confidence, minimum support) and it also natively
    handles numeric attributes by integrating a pre-discretization step.
    The rule generation phase is handled by the 'arules' package. 
    To further decrease the size of the CBA models produced by the 'arc' package, postprocessing by the 
    'qCBA' package is suggested.
Copyright: The mdlp2.R script reuses parts of the code from the R
        `discretization` package by HyunJi Kim (GPL license).
Depends: R (>= 3.2.3), arules (>= 1.7-4), R.utils, discretization
License: GPL-3
Encoding: UTF-8
LazyData: true
URL: https://github.com/kliegr/arc
BugReports: https://github.com/kliegr/arc/issues
Imports: Matrix (>= 0.5-0), methods, datasets
Suggests: qCBA
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-17 12:58:41 UTC; tomas
Repository: CRAN
Date/Publication: 2023-08-17 15:52:37 UTC

## arc 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Package: arc
 Title: Association Rule Classification
-Version: 1.4
-Date: 2023-08-17
-Author: Tomas Kliegr [aut, cre]
+Version: 1.4.2
+Date: 2025-04-03
+Authors@R: person(given = "Tomas",
+                    family = "Kliegr",
+                    role = c("aut", "cre"),
+                    email = "kliegr@gmail.com")
 Maintainer: Tomas Kliegr <kliegr@gmail.com>
 Description: Implements the Classification-based on
     Association Rules (CBA) algorithm for association rule classification.
@@ -15,16 +18,17 @@
     'qCBA' package is suggested.
 Copyright: The mdlp2.R script reuses parts of the code from the R
         `discretization` package by HyunJi Kim (GPL license).
-Depends: R (>= 3.2.3), arules (>= 1.7-4), R.utils, discretization
+Depends: R (>= 3.5.0), arules (>= 1.7-4), R.utils, discretization
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
 URL: https://github.com/kliegr/arc
 BugReports: https://github.com/kliegr/arc/issues
-Imports: Matrix (>= 0.5-0), methods, datasets
+Imports: Matrix (>= 0.5-0), methods, datasets, utils
 Suggests: qCBA
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-08-17 12:58:41 UTC; tomas
+Packaged: 2025-04-03 11:39:17 UTC; tomas
+Author: Tomas Kliegr [aut, cre]
 Repository: CRAN
-Date/Publication: 2023-08-17 15:52:37 UTC
+Date/Publication: 2025-04-03 12:10:02 UTC

## arc 5.21j

=== Makefile ===
# $Header: /cvsroot/arc/arc521/Makefile,v 1.4 2003/10/31 02:32:51 highlandsun Exp $
#       Makefile for portable ARC
#
# Originals from Dan Lanciani, James Turner, and others...
# This Makefile supports Atari ST and all Unix versions.
#
# I put SRCDIR on a real disk on the ST, but copy the makefile to a
# RAMdisk and compile from there. Makes things go a bit quicker...
# This has to be done in the shell, to get the trailing backslash
# specified correctly. e.g., setenv SRCDIR='d:\src\arc\'
SRCDIR = 

HEADER = $(SRCDIR)arc.h $(SRCDIR)arcs.h

# Add a ".TTP" suffix to the executable files on an ST.
#PROG = .ttp
PROG =

# SYSTEM defines your operating system:
# MSDOS for IBM PCs or other MSDOS machines
# GEMDOS for Atari ST (Predefined by MWC, so you don't need to define it.)
# BSD for Berkeley Unix
# SYSV for AT&T System V Unix or GNU/Linux
# (_MTS for Michigan Terminal System, which requires a different makefile)
# (_MTS also requires one of USEGFINFO or USECATSCAN for directory search)
# NEEDMEMSET if your C library does not have the memset() routine and/or
# your system include doesn't have <memory.h> (Most current systems don't
# need this.)
# NEED_TIMEVAL if you need struct timeval defined.
# NEED_ALPHASORT if your C library doesn't provide it.
#
# On Solaris, use -DSYSV=1 -DNEED_ALPHASORT and set SYSVOBJ=scandir.o
# (See the Sysvarcstuf shar file)
#SYSTEM = -DGEMDOS=1 -fstrength-reduce -fomit-frame-pointer -finline-functions -fdefer-pop -mpcrel
#SYSTEM = -DBSD=1
SYSTEM = -DSYSV=1

OPT = -O
# For MWC 3.0 on the Atari ST, use:
#CFLAGS = -VCOMPAC -VPEEP
CFLAGS = $(OPT) $(SYSTEM)

# GNU's gcc is very nice, if you've got it. Otherwise just cc.
#CC = cgcc -mshort -mbaserel
CC = cc

# tmclock is only needed on Unix systems...
TMCLOCK = tmclock.o

# Integer-only stdio routines for Atari ST.
#LIBS=-liio16

# Files needed for System V 
#SYSVOBJ =	getwd.o rename.o scandir.o utimes.o
SYSVOBJ =

OBJS = arc.o arcadd.o arccode.o arccvt.o arcdata.o arcdel.o arcdos.o \
arcext.o arcio.o arclst.o arclzw.o arcmatch.o arcpack.o arcrun.o \
arcsq.o arcsvc.o arctst.o arcunp.o arcusq.o arcmisc.o $(SYSVOBJ)

MOBJ = marc.o arcdata.o arcdos.o arcio.o arcmatch.o arcmisc.o $(SYSVOBJ)

all:	arc$(PROG) marc$(PROG)

arc$(PROG):	$(OBJS) $(TMCLOCK)
	$(CC) $(OPT) -o arc$(PROG) $(OBJS) $(TMCLOCK) $(LIBS)

marc$(PROG):	$(MOBJ) $(TMCLOCK)
	$(CC) $(OPT) -o marc$(PROG) $(MOBJ) $(TMCLOCK) $(LIBS)

clean:
	-rm *.o arc$(PROG) marc$(PROG)

arc.o:	$(SRCDIR)arc.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arc.c
marc.o:	$(SRCDIR)marc.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)marc.c
arcadd.o:	$(SRCDIR)arcadd.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcadd.c
arccode.o:	$(SRCDIR)arccode.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arccode.c
arccvt.o:	$(SRCDIR)arccvt.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arccvt.c
arcdata.o:	$(SRCDIR)arcdata.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcdata.c
arcdel.o:	$(SRCDIR)arcdel.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcdel.c
arcdir.o:	$(SRCDIR)arcdir.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcdir.c
arcdos.o:	$(SRCDIR)arcdos.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcdos.c
arcext.o:	$(SRCDIR)arcext.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcext.c
arcio.o:	$(SRCDIR)arcio.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcio.c
arclst.o:	$(SRCDIR)arclst.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arclst.c
arclzw.o:	$(SRCDIR)arclzw.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arclzw.c
arcmatch.o:	$(SRCDIR)arcmatch.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcmatch.c
arcmisc.o:	$(SRCDIR)arcmisc.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcmisc.c
arcpack.o:	$(SRCDIR)arcpack.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcpack.c
arcrun.o:	$(SRCDIR)arcrun.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcrun.c
arcsq.o:	$(SRCDIR)arcsq.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcsq.c
arcsvc.o:	$(SRCDIR)arcsvc.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcsvc.c
arctst.o:	$(SRCDIR)arctst.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arctst.c
arcunp.o:	$(SRCDIR)arcunp.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcunp.c
arcusq.o:	$(SRCDIR)arcusq.c	$(HEADER)
	$(CC) $(CFLAGS) -c $(SRCDIR)arcusq.c

tmclock.o:	$(SRCDIR)tmclock.c
	$(CC) $(CFLAGS) -c $(SRCDIR)tmclock.c

## arc 5.21k

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-# $Header: /cvsroot/arc/arc521/Makefile,v 1.4 2003/10/31 02:32:51 highlandsun Exp $
+# $Header: /cvsroot/arc/arc/Makefile,v 1.5 2004/11/06 11:25:21 k_reimer Exp $
 #       Makefile for portable ARC
 #
 # Originals from Dan Lanciani, James Turner, and others...
 # This Makefile supports Atari ST and all Unix versions.
+
+# This version is needed for the dist target
+VERSION = 5.21k
 #
 # I put SRCDIR on a real disk on the ST, but copy the makefile to a
 # RAMdisk and compile from there. Makes things go a bit quicker...
@@ -118,3 +121,10 @@
 
 tmclock.o:	$(SRCDIR)tmclock.c
 	$(CC) $(CFLAGS) -c $(SRCDIR)tmclock.c
+
+dist: clean
+	mkdir -p .dist/arc-$(VERSION)
+	cp -rf * .dist/arc-$(VERSION)
+	rm -rf .dist/arc-$(VERSION)/CVS .dist/arc-$(VERSION)/*.tar.gz
+	cd .dist; tar cfz ../arc-$(VERSION).tar.gz arc-$(VERSION)
+	rm -rf .dist

## arc 5.21l

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Header: /cvsroot/arc/arc/Makefile,v 1.5 2004/11/06 11:25:21 k_reimer Exp $
+# $Header: /cvsroot/arc/arc/Makefile,v 1.6 2005/03/13 15:44:00 k_reimer Exp $
 #       Makefile for portable ARC
 #
 # Originals from Dan Lanciani, James Turner, and others...
 # This Makefile supports Atari ST and all Unix versions.
 
 # This version is needed for the dist target
-VERSION = 5.21k
+VERSION = 5.21l
 #
 # I put SRCDIR on a real disk on the ST, but copy the makefile to a
 # RAMdisk and compile from there. Makes things go a bit quicker...

## arc 5.21m

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Header: /cvsroot/arc/arc/Makefile,v 1.6 2005/03/13 15:44:00 k_reimer Exp $
+# $Header: /cvsroot/arc/arc/Makefile,v 1.7 2005/09/21 15:40:46 k_reimer Exp $
 #       Makefile for portable ARC
 #
 # Originals from Dan Lanciani, James Turner, and others...
 # This Makefile supports Atari ST and all Unix versions.
 
 # This version is needed for the dist target
-VERSION = 5.21l
+VERSION = 5.21m
 #
 # I put SRCDIR on a real disk on the ST, but copy the makefile to a
 # RAMdisk and compile from there. Makes things go a bit quicker...

## arc 5.21p

=== debian/changelog ===
arc (5.21p-1) unstable; urgency=low

  * New upstream version.
  * Switched to CDBS.
  * Added patch to fix spelling error in arc man page.
  * Added patch to fix man page sections.
  * Corrected watch file.

 -- Klaus Reimer <kay@debian.org>  Sat, 01 Jan 2011 14:09:00 +0000

arc (5.21o-3) unstable; urgency=low

  * Added misc:Depends.

 -- Klaus Reimer <kay@debian.org>  Sat, 07 Aug 2010 09:08:33 +0000

arc (5.21o-2) unstable; urgency=low

  * Added watch file.

 -- Klaus Reimer <kay@debian.org>  Tue, 12 May 2009 06:43:56 +0000

arc (5.21o-1) unstable; urgency=low

  * New upstream release (Closes: #415988)
  * Updated to debhelper 7 and debian policy 3.8.1

 -- Klaus Reimer <kay@debian.org>  Fri, 13 Mar 2009 07:50:34 +0000

arc (5.21m-1) unstable; urgency=high

  * New upstream release
  * Fixed insecure permissions of a temporary file [arcsvc.c,
    CAN-2005-2945] (Closes: #329053)
  * Fixed insecure temporary file creation [arcsvc.c, CAN-2005-2992]

 -- Klaus Reimer <kay@debian.org>  Wed, 21 Sep 2005 18:28:00 +0100

arc (5.21l-1) unstable; urgency=low

  * New upstream version.
  * Fixed gcc-4.0 compiler problem (Closes: #285195)

 -- Klaus Reimer <kay@debian.org>  Sun, 13 Mar 2005 16:50:13 +0100

arc (5.21k-1) unstable; urgency=low

  * New upstream version.
  * Fixed some buffer overflows (Closes: #278879)

 -- Klaus Reimer <kay@debian.org>  Sat,  6 Nov 2004 12:34:09 +0100

arc (5.21j-2) unstable; urgency=low

  * Now build with -O2 and CC=gcc (Closes: 221949)
  * Created and added a simple marc man page.

 -- Klaus Reimer <kay@debian.org>  Wed, 28 Jan 2004 16:42:43 +0100

arc (5.21j-1) unstable; urgency=low

  * Initial Release (Closes: #219018).

 -- Klaus Reimer <kay@debian.org>  Mon,  3 Nov 2003 22:15:12 +0100

=== debian/control ===
Source: arc
Section: utils
Priority: optional
Maintainer: Klaus Reimer <kay@debian.org>
Build-Depends: debhelper (>= 7.0.0), cdbs
Standards-Version: 3.9.1

Package: arc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Archive utility based on the MSDOS ARC program
 This program is based on the MSDOS ARC program, version 5.21, plus
 a few enhancements...
 .
  o ARC also performs Huffman Squeezing on data. The Huffman Squeeze
    algorithm was removed from MSDOS ARC after version 5.12. It turns
    out to be more efficient than Lempel-Ziv style compression when
    compressing graphic images. Squeeze analysis is always done now,
    and the best of packing, squeezing, or crunching is used.
 .
  o Compresses and extracts Squashed files. "Squashing" was created
    by Phil Katz in his PKxxx series of ARC utility programs for
    MSDOS. Dan Lanciani wrote the original modifications to ARC's
    Crunch code to handle Squashing. I've made minor changes since
    then, mostly to reduce the amount of memory required. The 'q'
    option flag must be specified to Squash files. The Squashing
    algorithm will be used instead of the usual Crunch algorithm,
    and will be compared against packing and squeezing, as before.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/arc PREFIX=/usr
CFLAGS                   := $(CFLAGS) -DSYSV=1

## arc 5.21q

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
-# $Header: /cvsroot/arc/arc/Makefile,v 1.7 2005/09/21 15:40:46 k_reimer Exp $
 #       Makefile for portable ARC
 #
 # Originals from Dan Lanciani, James Turner, and others...
 # This Makefile supports Atari ST and all Unix versions.
 
+# The installation prefix
+PREFIX = /usr/local
+
 # This version is needed for the dist target
-VERSION = 5.21m
+VERSION = 5.21p
 #
 # I put SRCDIR on a real disk on the ST, but copy the makefile to a
 # RAMdisk and compile from there. Makes things go a bit quicker...
@@ -38,7 +40,7 @@
 #SYSTEM = -DBSD=1
 SYSTEM = -DSYSV=1
 
-OPT = -O
+OPT = -O -Wall
 # For MWC 3.0 on the Atari ST, use:
 #CFLAGS = -VCOMPAC -VPEEP
 CFLAGS = $(OPT) $(SYSTEM)
@@ -72,7 +74,7 @@
 	$(CC) $(OPT) -o marc$(PROG) $(MOBJ) $(TMCLOCK) $(LIBS)
 
 clean:
-	-rm *.o arc$(PROG) marc$(PROG)
+	rm -f *.o arc$(PROG) marc$(PROG)
 
 arc.o:	$(SRCDIR)arc.c	$(HEADER)
 	$(CC) $(CFLAGS) -c $(SRCDIR)arc.c
@@ -128,3 +130,10 @@
 	rm -rf .dist/arc-$(VERSION)/CVS .dist/arc-$(VERSION)/*.tar.gz
 	cd .dist; tar cfz ../arc-$(VERSION).tar.gz arc-$(VERSION)
 	rm -rf .dist
+
+install: all
+	install -s -m 0755 -D arc $(DESTDIR)$(PREFIX)/bin/arc
+	install -s -m 0755 -D marc $(DESTDIR)$(PREFIX)/bin/marc
+	install -m 0644 -D arc.1 $(DESTDIR)$(PREFIX)/share/man/man1/arc.1
+	install -m 0644 -D marc.1 $(DESTDIR)$(PREFIX)/share/man/man1/marc.1
+

=== debian/changelog ===
arc (5.21q-15) unstable; urgency=medium

  * Pass -std=gnu17 to CC, to fix build failures with gcc-15.
    Closes: #1096324

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Feb 2025 04:10:08 +0100

arc (5.21q-14) unstable; urgency=medium

  * Enable abi=+time64 everywhere.
  * Fix FTBFS with time64 on 32-bit architectures. Closes: #1091246
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Dec 2024 20:41:29 +0100

arc (5.21q-13) unstable; urgency=medium

  * Wrap fields in debian/tests/control.
  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Apr 2024 02:33:07 +0200

arc (5.21q-12) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Update debian/patches metadata.
  * Add source lintian-overrides.
  * Do not trim debian/changelog.
  * Update copyright years.
  * Comment github URL from debian/watch.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 01:19:48 +0100

arc (5.21q-11) unstable; urgency=medium

  * Enable LFS build options.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Spell MS-DOS correctly, by hyphenating it.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Aug 2022 13:25:06 +0200

arc (5.21q-10) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Remove duplicate Reference.Author from debian/upstream/metadata file,
    already present in debian/copyright.
  * Clean up patches metafields.
  * Update copyright statements.
  * Split GPL-2 and GPL-2+ License into their own fields in debian/copyright.
  * Fix verb tense in Comment field in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Jan 2022 21:09:23 +0100

arc (5.21q-9) unstable; urgency=medium

  * New maintainer. Closes: #885923
  * Update Vcs fields.
  * Remove now unused salsa CI files.
  * Wrap and sort (-sat) debian files.
  * Use https instead of http.
  * Move location of license on Debian systems into a Comment field.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Mark binary package as Multi-Arch foreign.
  * Decapitalize first word in package synopsis.
  * Improve package description.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Jan 2022 23:32:34 +0100

arc (5.21q-8) unstable; urgency=medium

  * QA upload.
  * Update compat level to 13.
  * Fix FTBFS with gcc-10. (Closes: #957005)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 25 May 2020 00:37:13 +0100

arc (5.21q-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright:
      - Added packaging rights for Adrian Bunk and Salvatore Bonaccorso.
      - Fixed the licensing for packaging.
      - Updated packaging copyright years.
      - Using a secure URI in Format field.
  * debian/patches/:
      - Added a numeric prefix for all patches.
      - Added a suffix (patch) for all patches.
      - Added a header to 050_nostrip.patch.
      - Refreshed all patches.
  * debian/rules: use dh_auto_install to install files.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/include-binaries: create to control debian/tests/debian.jpg.
  * debian/tests/*: created to perform trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Apr 2020 22:10:32 -0300

arc (5.21q-6) unstable; urgency=medium

  * QA upload.
  * Fix version 1 arc header reading
  * Fix arcdie crash when called with more then 1 variable argument
  * Fix directory traversal bugs.
    Thanks to Hans de Goede <hdegoede@redhat.com> (Closes: #774527)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Jan 2019 20:58:58 +0100

arc (5.21q-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #885923)
  * Add patch from Jakub Wilk to honour DEB_BUILD_OPTIONS=nostrip.
    (Closes: #774438)

 -- Adrian Bunk <bunk@debian.org>  Wed, 17 Jan 2018 23:00:08 +0200

arc (5.21q-4) unstable; urgency=medium

  * New maintainer. Thanks to Klaus Reimer for your work over this package.
    (Closes: #714060).
  * debian/control:
      - Updated long description.
  * debian/copyright:
      - Added upstream e-mail address.
      - Updated information about the packaging.
  * debian/patches/fix-gcc-warnings:
      - Added to fix some GCC warnings.
  * debian/source/format:
      - Added a new line (EOF).

 -- Adilson dos Reis <adilsondosreis@yahoo.com.br>  Tue, 01 Sep 2015 13:01:09 -0300

arc (5.21q-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 May 2015 19:02:34 -0300

arc (5.21q-2) experimental; urgency=medium

  * QA upload.
  * Updated the upstream homepage.
  * Migrations:
      - Build system from CDBS to pure DH.
      - debian/copyright to 1.0 format.
      - DH level from 7 to 9.
      - Standards-Version from 3.9.4 to 3.9.6.
  * debian/copyright:
      - Updated to 1.0 format.
      - Updated all information about the upstream and packaging.
  * debian/dirs: useless; removed.
  * debian/patches/:
      - Added fix-makefile to implement GCC hardening.
      - Improved the header of the manpage-section-fix and spelling patches.
  * debian/watch:
      - Added the GitHub as new source.
      - Improved the SF search.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Mar 2015 15:42:41 -0300

arc (5.21q-1) unstable; urgency=low

  * QA upload
  * New upstream version 5.21q
    Relicense under the GPL
    Closes: #641449


=== debian/control ===
Source: arc
Section: utils
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13.10),
 dpkg-dev (>= 1.22.0),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ani6al/arc
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/arc.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/arc.git

Package: arc
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: archive utility based on the MS-DOS ARC program
 This program is based on the MS-DOS ARC program, version 5.21, plus a few
 enhancements.
 .
 ARC also performs Huffman Squeezing on data. The Huffman Squeeze algorithm
 was removed from MS-DOS ARC after version 5.12. It turns out to be more
 efficient than Lempel-Ziv style compression when compressing graphic images.
 Squeeze analysis is always done now, and the best of packing, squeezing,
 or crunching is used.
 .
 Compresses and extracts Squashed files. "Squashing" was created by
 Phil Katz in his PKxxx series of ARC utility programs for MS-DOS.
 Dan Lanciani wrote the original modifications to ARC's Crunch code to
 handle Squashing. Klaus Reimer made minor changes since then, mostly to
 reduce the amount of memory required. The 'q' option flag must be
 specified to Squash files. The Squashing algorithm will be used instead
 of the usual Crunch algorithm, and will be compared against packing and
 squeezing, as before.
 .
 This package provides the arc and marc commands. MARC can be used to merge
 files compressed by ARC.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs,+time64

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

=== debian/tests/control ===
Test-Command:
 arc | grep Usage

Test-Command:
 arc aw $AUTOPKGTEST_TMP/final.arc debian/tests/debian.jpg debian/tests/test1.txt;
 arc l $AUTOPKGTEST_TMP/final.arc;
 arc v $AUTOPKGTEST_TMP/final.arc;
 arc t $AUTOPKGTEST_TMP/final.arc;
 cd $AUTOPKGTEST_TMP; arc x final.arc;

=== debian/watch ===
version=4
https://sf.net/arc/arc-(\d\S+)\.tar\.(?:bz2|gz|xz)

# Release to fold the relicense changes:
# https://github.com/ani6al/arc/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
